<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Delete ServiceType
 * @subpackage Services
 */
class Delete extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named DeleteKategori
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DeleteKategori $parameters
     * @return \StructType\DeleteKategoriResponse|bool
     */
    public function DeleteKategori(\StructType\DeleteKategori $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DeleteKategori($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DeleteMarka
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DeleteMarka $parameters
     * @return \StructType\DeleteMarkaResponse|bool
     */
    public function DeleteMarka(\StructType\DeleteMarka $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DeleteMarka($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DeleteTedarikci
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DeleteTedarikci $parameters
     * @return \StructType\DeleteTedarikciResponse|bool
     */
    public function DeleteTedarikci(\StructType\DeleteTedarikci $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DeleteTedarikci($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DeleteUrunKategori
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DeleteUrunKategori $parameters
     * @return \StructType\DeleteUrunKategoriResponse|bool
     */
    public function DeleteUrunKategori(\StructType\DeleteUrunKategori $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DeleteUrunKategori($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DeleteUrunEtiket
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DeleteUrunEtiket $parameters
     * @return \StructType\DeleteUrunEtiketResponse|bool
     */
    public function DeleteUrunEtiket(\StructType\DeleteUrunEtiket $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DeleteUrunEtiket($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DeleteIlgiliUrun
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DeleteIlgiliUrun $parameters
     * @return \StructType\DeleteIlgiliUrunResponse|bool
     */
    public function DeleteIlgiliUrun(\StructType\DeleteIlgiliUrun $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DeleteIlgiliUrun($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DeleteKombinUrun
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DeleteKombinUrun $parameters
     * @return \StructType\DeleteKombinUrunResponse|bool
     */
    public function DeleteKombinUrun(\StructType\DeleteKombinUrun $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DeleteKombinUrun($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DeleteTamamlayiciUrun
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DeleteTamamlayiciUrun $parameters
     * @return \StructType\DeleteTamamlayiciUrunResponse|bool
     */
    public function DeleteTamamlayiciUrun(\StructType\DeleteTamamlayiciUrun $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DeleteTamamlayiciUrun($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DeleteTakimUrun
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DeleteTakimUrun $parameters
     * @return \StructType\DeleteTakimUrunResponse|bool
     */
    public function DeleteTakimUrun(\StructType\DeleteTakimUrun $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DeleteTakimUrun($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DeleteUrunDetayTab
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DeleteUrunDetayTab $parameters
     * @return \StructType\DeleteUrunDetayTabResponse|bool
     */
    public function DeleteUrunDetayTab(\StructType\DeleteUrunDetayTab $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DeleteUrunDetayTab($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\DeleteIlgiliUrunResponse|\StructType\DeleteKategoriResponse|\StructType\DeleteKombinUrunResponse|\StructType\DeleteMarkaResponse|\StructType\DeleteTakimUrunResponse|\StructType\DeleteTamamlayiciUrunResponse|\StructType\DeleteTedarikciResponse|\StructType\DeleteUrunDetayTabResponse|\StructType\DeleteUrunEtiketResponse|\StructType\DeleteUrunKategoriResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
