<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Update ServiceType
 * @subpackage Services
 */
class Update extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named UpdateKategoriDil
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\UpdateKategoriDil $parameters
     * @return \StructType\UpdateKategoriDilResponse|bool
     */
    public function UpdateKategoriDil(\StructType\UpdateKategoriDil $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UpdateKategoriDil($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named UpdateTeknikDetayGrupDil
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\UpdateTeknikDetayGrupDil $parameters
     * @return \StructType\UpdateTeknikDetayGrupDilResponse|bool
     */
    public function UpdateTeknikDetayGrupDil(\StructType\UpdateTeknikDetayGrupDil $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UpdateTeknikDetayGrupDil($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named UpdateTeknikDetayOzellikDil
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\UpdateTeknikDetayOzellikDil $parameters
     * @return \StructType\UpdateTeknikDetayOzellikDilResponse|bool
     */
    public function UpdateTeknikDetayOzellikDil(\StructType\UpdateTeknikDetayOzellikDil $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UpdateTeknikDetayOzellikDil($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named UpdateTeknikDetayDegerDil
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\UpdateTeknikDetayDegerDil $parameters
     * @return \StructType\UpdateTeknikDetayDegerDilResponse|bool
     */
    public function UpdateTeknikDetayDegerDil(\StructType\UpdateTeknikDetayDegerDil $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UpdateTeknikDetayDegerDil($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named UpdateEkSecenekGrupDil
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\UpdateEkSecenekGrupDil $parameters
     * @return \StructType\UpdateEkSecenekGrupDilResponse|bool
     */
    public function UpdateEkSecenekGrupDil(\StructType\UpdateEkSecenekGrupDil $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UpdateEkSecenekGrupDil($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named UpdateEkSecenekDegerDil
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\UpdateEkSecenekDegerDil $parameters
     * @return \StructType\UpdateEkSecenekDegerDilResponse|bool
     */
    public function UpdateEkSecenekDegerDil(\StructType\UpdateEkSecenekDegerDil $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UpdateEkSecenekDegerDil($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named UpdateUrunDil
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\UpdateUrunDil $parameters
     * @return \StructType\UpdateUrunDilResponse|bool
     */
    public function UpdateUrunDil(\StructType\UpdateUrunDil $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UpdateUrunDil($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named UpdateUrl
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\UpdateUrl $parameters
     * @return \StructType\UpdateUrlResponse|bool
     */
    public function UpdateUrl(\StructType\UpdateUrl $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UpdateUrl($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named UpdateUrunDetayTab
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\UpdateUrunDetayTab $parameters
     * @return \StructType\UpdateUrunDetayTabResponse|bool
     */
    public function UpdateUrunDetayTab(\StructType\UpdateUrunDetayTab $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UpdateUrunDetayTab($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\UpdateEkSecenekDegerDilResponse|\StructType\UpdateEkSecenekGrupDilResponse|\StructType\UpdateKategoriDilResponse|\StructType\UpdateTeknikDetayDegerDilResponse|\StructType\UpdateTeknikDetayGrupDilResponse|\StructType\UpdateTeknikDetayOzellikDilResponse|\StructType\UpdateUrlResponse|\StructType\UpdateUrunDetayTabResponse|\StructType\UpdateUrunDilResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
