<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UrunResimYukleRequest StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:UrunResimYukleRequest
 * @subpackage Structs
 */
class UrunResimYukleRequest extends AbstractStructBase
{
    /**
     * The EslestirmeTipi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $EslestirmeTipi;
    /**
     * The OncekiResimleriSil
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $OncekiResimleriSil;
    /**
     * The ResimAyraci
     * Meta information extracted from the WSDL
     * - base: xs:int
     * - minOccurs: 0
     * - nillable: true
     * - type: tns:char
     * @var int
     */
    public $ResimAyraci;
    /**
     * The ResimOlmayanlaraResimEkle
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $ResimOlmayanlaraResimEkle;
    /**
     * The ResimUploadKey
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ResimUploadKey;
    /**
     * The Resimler
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfWebUrunResim
     */
    public $Resimler;
    /**
     * The VaryasyonaResimYukle
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $VaryasyonaResimYukle;
    /**
     * Constructor method for UrunResimYukleRequest
     * @uses UrunResimYukleRequest::setEslestirmeTipi()
     * @uses UrunResimYukleRequest::setOncekiResimleriSil()
     * @uses UrunResimYukleRequest::setResimAyraci()
     * @uses UrunResimYukleRequest::setResimOlmayanlaraResimEkle()
     * @uses UrunResimYukleRequest::setResimUploadKey()
     * @uses UrunResimYukleRequest::setResimler()
     * @uses UrunResimYukleRequest::setVaryasyonaResimYukle()
     * @param string $eslestirmeTipi
     * @param bool $oncekiResimleriSil
     * @param int $resimAyraci
     * @param bool $resimOlmayanlaraResimEkle
     * @param string $resimUploadKey
     * @param \ArrayType\ArrayOfWebUrunResim $resimler
     * @param bool $varyasyonaResimYukle
     */
    public function __construct($eslestirmeTipi = null, $oncekiResimleriSil = null, $resimAyraci = null, $resimOlmayanlaraResimEkle = null, $resimUploadKey = null, \ArrayType\ArrayOfWebUrunResim $resimler = null, $varyasyonaResimYukle = null)
    {
        $this
            ->setEslestirmeTipi($eslestirmeTipi)
            ->setOncekiResimleriSil($oncekiResimleriSil)
            ->setResimAyraci($resimAyraci)
            ->setResimOlmayanlaraResimEkle($resimOlmayanlaraResimEkle)
            ->setResimUploadKey($resimUploadKey)
            ->setResimler($resimler)
            ->setVaryasyonaResimYukle($varyasyonaResimYukle);
    }
    /**
     * Get EslestirmeTipi value
     * @return string|null
     */
    public function getEslestirmeTipi()
    {
        return $this->EslestirmeTipi;
    }
    /**
     * Set EslestirmeTipi value
     * @uses \EnumType\WebUrunResimEslestirmeTipi::valueIsValid()
     * @uses \EnumType\WebUrunResimEslestirmeTipi::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $eslestirmeTipi
     * @return \StructType\UrunResimYukleRequest
     */
    public function setEslestirmeTipi($eslestirmeTipi = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\WebUrunResimEslestirmeTipi::valueIsValid($eslestirmeTipi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\WebUrunResimEslestirmeTipi', is_array($eslestirmeTipi) ? implode(', ', $eslestirmeTipi) : var_export($eslestirmeTipi, true), implode(', ', \EnumType\WebUrunResimEslestirmeTipi::getValidValues())), __LINE__);
        }
        $this->EslestirmeTipi = $eslestirmeTipi;
        return $this;
    }
    /**
     * Get OncekiResimleriSil value
     * @return bool|null
     */
    public function getOncekiResimleriSil()
    {
        return $this->OncekiResimleriSil;
    }
    /**
     * Set OncekiResimleriSil value
     * @param bool $oncekiResimleriSil
     * @return \StructType\UrunResimYukleRequest
     */
    public function setOncekiResimleriSil($oncekiResimleriSil = null)
    {
        // validation for constraint: boolean
        if (!is_null($oncekiResimleriSil) && !is_bool($oncekiResimleriSil)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($oncekiResimleriSil, true), gettype($oncekiResimleriSil)), __LINE__);
        }
        $this->OncekiResimleriSil = $oncekiResimleriSil;
        return $this;
    }
    /**
     * Get ResimAyraci value
     * @return int|null
     */
    public function getResimAyraci()
    {
        return $this->ResimAyraci;
    }
    /**
     * Set ResimAyraci value
     * @param int $resimAyraci
     * @return \StructType\UrunResimYukleRequest
     */
    public function setResimAyraci($resimAyraci = null)
    {
        // validation for constraint: int
        if (!is_null($resimAyraci) && !(is_int($resimAyraci) || ctype_digit($resimAyraci))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($resimAyraci, true), gettype($resimAyraci)), __LINE__);
        }
        $this->ResimAyraci = $resimAyraci;
        return $this;
    }
    /**
     * Get ResimOlmayanlaraResimEkle value
     * @return bool|null
     */
    public function getResimOlmayanlaraResimEkle()
    {
        return $this->ResimOlmayanlaraResimEkle;
    }
    /**
     * Set ResimOlmayanlaraResimEkle value
     * @param bool $resimOlmayanlaraResimEkle
     * @return \StructType\UrunResimYukleRequest
     */
    public function setResimOlmayanlaraResimEkle($resimOlmayanlaraResimEkle = null)
    {
        // validation for constraint: boolean
        if (!is_null($resimOlmayanlaraResimEkle) && !is_bool($resimOlmayanlaraResimEkle)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($resimOlmayanlaraResimEkle, true), gettype($resimOlmayanlaraResimEkle)), __LINE__);
        }
        $this->ResimOlmayanlaraResimEkle = $resimOlmayanlaraResimEkle;
        return $this;
    }
    /**
     * Get ResimUploadKey value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getResimUploadKey()
    {
        return isset($this->ResimUploadKey) ? $this->ResimUploadKey : null;
    }
    /**
     * Set ResimUploadKey value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $resimUploadKey
     * @return \StructType\UrunResimYukleRequest
     */
    public function setResimUploadKey($resimUploadKey = null)
    {
        // validation for constraint: string
        if (!is_null($resimUploadKey) && !is_string($resimUploadKey)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($resimUploadKey, true), gettype($resimUploadKey)), __LINE__);
        }
        if (is_null($resimUploadKey) || (is_array($resimUploadKey) && empty($resimUploadKey))) {
            unset($this->ResimUploadKey);
        } else {
            $this->ResimUploadKey = $resimUploadKey;
        }
        return $this;
    }
    /**
     * Get Resimler value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfWebUrunResim|null
     */
    public function getResimler()
    {
        return isset($this->Resimler) ? $this->Resimler : null;
    }
    /**
     * Set Resimler value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfWebUrunResim $resimler
     * @return \StructType\UrunResimYukleRequest
     */
    public function setResimler(\ArrayType\ArrayOfWebUrunResim $resimler = null)
    {
        if (is_null($resimler) || (is_array($resimler) && empty($resimler))) {
            unset($this->Resimler);
        } else {
            $this->Resimler = $resimler;
        }
        return $this;
    }
    /**
     * Get VaryasyonaResimYukle value
     * @return bool|null
     */
    public function getVaryasyonaResimYukle()
    {
        return $this->VaryasyonaResimYukle;
    }
    /**
     * Set VaryasyonaResimYukle value
     * @param bool $varyasyonaResimYukle
     * @return \StructType\UrunResimYukleRequest
     */
    public function setVaryasyonaResimYukle($varyasyonaResimYukle = null)
    {
        // validation for constraint: boolean
        if (!is_null($varyasyonaResimYukle) && !is_bool($varyasyonaResimYukle)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($varyasyonaResimYukle, true), gettype($varyasyonaResimYukle)), __LINE__);
        }
        $this->VaryasyonaResimYukle = $varyasyonaResimYukle;
        return $this;
    }
}
